
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
    <title>Python重大变化：match-case模式匹配 / 开普饭 </title>
    <meta name="description" content="Python重大变化：match-case模式匹配 花下猫语:有很多人期待在 Python 中使用 switch-case 语句,Python 社区里针对它有过长达数年的讨论(PEP-275.PEP-3103),然而结论是不支持.我曾在文章&lt; &gt;里专门讨论了此话题.在那篇文章末尾,我还介绍了当时仍在草案阶段的模式匹配语法.最近,官方终于通过了PEP,Python 将要迎来一次重大更新!match-case 与 switch-case 的结构相似,然而其思想与用途有着巨大差别.有人喜欢,有人憎恶.今天分享一篇文章,让大家见识一下这个新东 ..." />
    <meta name="applicable-device" content="pc,mobile" />
          
    <link rel='dns-prefetch' href='//pic.ikafan.com' />
    <link rel='stylesheet' id='stylesheet-css' href='//n4.ikafan.com/assetsj/style.css' type='text/css' media='all' />
    <!-- <link rel='stylesheet' id='stylesheet-css'  href='https://computeinit.com/wp-content/themes/justnews/css/style.css?ver=6.9.2' type='text/css' media='all' /> -->
      
    <script src="https://n4.ikafan.com/g/show.js"></script>
        <!--[if lte IE 9]><script src="//n4.ikafan.com/assetsj/update.js"></script><![endif]-->
</head>
<body class="archive qapress-list el-boxed">

<header class="header">
    <div class="container clearfix">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-label="menu">
                <span class="icon-bar icon-bar-1"></span>
                <span class="icon-bar icon-bar-2"></span>
                <span class="icon-bar icon-bar-3"></span>
            </button>
                        <div class="logo">
                <a href="/" rel="home"><img src="//n4.ikafan.com/assetsj/logo.png" alt="开普饭"></a>
            </div>
        </div>
        <div class="collapse navbar-collapse">
            <nav class="navbar-left primary-menu">
                <ul id="menu-justnews-menu" class="nav navbar-nav wpcom-adv-menu">
                                        <li class="menu-item"><a href="/about/hot/">热门推荐</a></li>
                                        <li class="menu-item"><a href="/about/new/">最新更新</a></li>
                                        <li class="menu-item"><a href="/about/editor/">编辑推荐</a></li>
                                   
                </ul>
            </nav>            
            <!-- <div class="navbar-action pull-right">
                <div class="navbar-search-icon j-navbar-search"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-search"></use></svg></i></div>
                <div id="j-user-wrap"> 
                </div>
                <a class="btn btn-primary btn-xs" href="#">
                    xxx</a>
            </div>
            <form class="navbar-search" action="/search/" method="get" role="search">
                <div class="navbar-search-inner">
                    <i class="wpcom-icon wi navbar-search-close"><svg aria-hidden="true"><use xlink:href="#wi-close"></use></svg></i>                    <input type="text" name="s" class="navbar-search-input" autocomplete="off" placeholder="输入关键词搜索..." value="">
                    <button class="navbar-search-btn" type="submit"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-search"></use></svg></i></button>
                </div>
            </form> -->
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container -->
</header><div id="wrap">    
    <div class="wrap container">
        <main class="main">
            <article class="entry">
                <div class="entry-main">
                    <div class="entry-head">
                        <h1 class="entry-title">Python重大变化：match-case模式匹配</h1>
                        <div class="entry-info">
                            <time class="entry-date published"  pubdate>2024-02-09 08:23:00</time>  
                        </div>                    </div>
                    <div id="single_top"></div>
<script>insertAdIfNeeded();</script>                        <!-- <div class="entry-excerpt entry-summary">
                            
                        </div> -->
                    <div class="entry-content">
                        <p><strong>花下猫语：</strong>有很多人期待在 Python 中使用 switch-case 语句，Python 社区里针对它有过长达数年的讨论（PEP-275、PEP-3103），然而结论是不支持。我曾在文章《 》里专门讨论了此话题。在那篇文章末尾，我还介绍了当时仍在草案阶段的<strong>模式匹配</strong>语法。最近，官方终于通过了PEP，Python 将要迎来一次重大更新！match-case 与 switch-case 的结构相似，然而其思想与用途有着巨大差别。有人喜欢，有人憎恶。今天分享一篇文章，让大家见识一下这个新东西到底有什么本事？</p>
<div><img src="//n4.ikafan.com/assetsj/blank.gif" class="j-lazy" loading="lazy" data-original='//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UxMDkuMzYwZG9jLmNuL0Rvd25sb2FkSW1nLzIwMjEvMDUvMjIxNi8yMjI2NDk2NTNfMV8yMDIxMDUyMjA0MTI0ODg5NQ==.jpg' /></div>
<p>作者：不羁的凉皮儿</p>
<p>来源：不羁的学习</p>
<h1><strong><br />
前言</strong></h1>
<p>2021 年 2 月 8 日，指导委员会通过了 PEP 634, PEP635, PEP636，至此，Python 总算拥有了 match-case， 不用再写一连串的 if-else 了</p>
<h1><strong>嘿喂狗</strong></h1>
<h1><strong>#1</strong></h1>
<p>最简单的形式如下，将 match 主题表达式与一个或多个字面量模式进行比较</p>
<pre><code>def http_error(status):
    match status:
        case 400:
            return "Bad request"
        case 401:
            return "Unauthorized"
        case 403:
            return "Forbidden"
        case 404:
            return "Not found"
        case 418:
            return "I'm a teapot"
        case _:
            return "Something else"

</code></pre>
<p>最后一个 case 中，case _:类似于 C 和 Java 中的default:，永远不会匹配失败，即当其他 case 都无法匹配时，匹配这条</p>
<h1><strong>#2</strong></h1>
<p>可以使用|将多个字面量组合起来表示或</p>
<pre><code>        ...
        case 401|403|404:
            return "Not allowed"
</code></pre>
<h1><strong>#3</strong></h1>
<p>模式也可以是解包操作，用于绑定变量</p>
<pre><code># 主题表达式是一个(x, y)元组
match point:
    case (0, 0):
        print("Origin")
    case (0, y):
        print(f"Y={y}")
    case (x, 0):
        print(f"X={x}")
    case (x, y):
        print(f"X={x}, Y={y}")
    case _:
        raise ValueError("Not a point")
</code></pre>
<p><strong>注意</strong>，第一个模式中有两个字面量，可以看作是上述普通模式的加强版。但是后两个模式有些不同，元组中一个是字面量一个是变量，这个变量会捕获主题元组中的值。同理，第四个模式case (x, y):会捕获两个值，这在理论上与解包作业相似，就如同point(x, y) = point</p>
<h1><strong>#4</strong></h1>
<p>如果使用了结构数据类，比如data classes，可以用类似于构造函数'类名+参数列表'的形式，但是用来捕获变量</p>
<pre><code>from dataclasses import dataclass

@dataclass
class Point:
    x: int
    y: int

def whereis(point):
    match point:
        case Point(0, 0):
            print("Origin")
        case Point(0, y):
            print(f"Y={y}")
        case Point(x, 0):
            print(f"X={x}")
        case Point():
            print("Somewhere else")
        case _:
            print("Not a point")
</code></pre>
<h1><strong>#5</strong></h1>
<p>也可以使用关键字参数。下列关于y, var的模式都是等价的，并且都将属性绑定到了变量上</p>
<pre><code>Point(1, var)
Point(1, y=var)
Point(x=1, y=var)
Point(y=var, x=1)
</code></pre>
<h1><strong>#6</strong></h1>
<p>模式可以被简单粗暴的嵌套起来，例如我们有一组 points 的列表，就可以像这样匹配</p>
<pre><code>match points:
    case []:
        print("No points")
    case [Point(0, 0)]:
        print("The origin")
    case [Point(x, y)]:
        print(f"Single point {x}, {y}")
    case [Point(0, y1), Point(0, y2)]:
        print(f"Two on the Y axis at {y1}, {y2}")
    case _:
        print("Something else")
</code></pre>
<h1><strong>#7</strong></h1>
<p>给模式添加 if 从句以充当门卫。如果为假，就移步到下一个 case。<strong>注意</strong>，模式捕获值发生在从句执行前</p>
<pre><code>match point:
    case Point(x, y) if x == y:
        print(f"Y=X at {x}")
    case Point(x, y):
        print(f"Not on the diagonal")
</code></pre>
<h1><strong>#8</strong></h1>
<p>子模式可以使用as捕获</p>
<pre><code>case (Point(x1, y1), Point(x2, y2) as p2): ...
</code></pre>
<h1><strong>#9</strong></h1>
<p>模式可以使用命名的常量，且必须使用.以防止被解释为捕获变量</p>
<pre><code>from enum import Enum
class Color(Enum):
    RED = 0
    GREEN = 1
    BLUE = 2

match color:
    case Color.RED:
        print("I see red!")
    case Color.GREEN:
        print("Grass is green")
    case Color.BLUE:
        print("I'm feeling the blues :(")
</code></pre>
<h1><strong>#10</strong></h1>
<p>字面量会被特殊对待，例如None, False, True，是使用is完成匹配的</p>
<p>例如：</p>
<pre><code>match b:
    case True:
        print("Yes!")
</code></pre>
<p>就完全等价于这样</p>
<pre><code>    ...
    if b is True:
        print("Yes!")
</code></pre>
<h1><strong>多谢</strong></h1>
<p>关于 match-case 的用法可能已过时或理解不准确，如有错漏地方欢迎指正，共同学习，权威及最新信息可关注<strong>Guido 老爷子的官方 repo[1]</strong></p>
<h1><strong>参考资料</strong></h1>
<p>[1]</p>
<p>Guido老爷子的官方repo: <em><br />
https://github.com/gvanrossum/patma</em></p>                        <div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>                                                  
                     </div>

                    <div class="entry-tag"></div>
                                            <div class="entry-action">
                            <div class="btn-zan" data-id="7544"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-thumb-up-fill"></use></svg></i> 赞 <span class="entry-action-num">(0)</span></div>
                        </div>
                    
                    
                </div>
                <!-- <div class="sec-panel main-list main-list-default">
                    <div class="tab-wrap active">
                        <ul class="post-loop post-loop-default cols-3">
                             
                        </ul>
                    </div>
                </div>  -->
                 
                <div class="entry-related-posts">
                    <h3 class="entry-related-title">相关推荐</h3>
                    <ul class="entry-related post-loop-default">
                                                                                           
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/3lvLDJ1avr.html">Python 3.10来了，switch语法终于出现</a></h4>
                                <div class="item-excerpt"><p>机器之心报道 编辑:陈萍 不用再自己琢磨如何实现 switch 功能了. 对于从事数据科学和人工智能领域的人们来说,Python 是大家的首选编程语言.根据最近的一项调查,27% 的程序员开发职位要求 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/0lWqPVNV9X.html">Python 超级强大的模式匹配工具—Pampy</a></h4>
                                <div class="item-excerpt"><p>作者丨Ckend 来源丨Python实用宝典(ID:pythondict) 在自然语言处理界,模式匹配可以说是最常用的技术.甚至可以说,将NLP技术作为真实生产力的项目都少不了模式匹配. 什么是模式匹 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/3RWVP1zjvN.html">Python 中的神秘运算符</a></h4>
                                <div class="item-excerpt"><p>今天我们来讲讲 Python 里一个不为众人所知的运算符.你可能会觉得疑惑:还有我不知道的运算符?别急着下结论,先往下看看再说. 在 Python3.5 中通过 PEP465 (https://www ...</p></div>
                            </div> 
                        </li>
                                                                                                                       
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/Z9jBNjqa93.html">Python的match和search区别是什么?</a></h4>
                                <div class="item-excerpt"><p>在学习Python的过程中,很多人傻傻分不清match和search区别,那么你知道Python开发中match和search的区别是什么吗?如果不知道,这篇文章一定要看,会给你带来一定的帮助. 什么 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/MZv0jnBRWk.html">python笔记56-re正则匹配re.match</a></h4>
                                <div class="item-excerpt"><p>前言 re.match 尝试从字符串的起始位置匹配一个模式,如果不是起始位置匹配成功的话,match()就返回none. re.search 扫描整个字符串并返回第一个成功的匹配. re.match  ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/3lvLBAowWr.html">Python 强大的模式匹配工具</a></h4>
                                <div class="item-excerpt"><p>简说Python 1周前 以下文章来源于Python实用宝典 ,作者Ckend  简说Python推荐  来源|Python实用宝典 作者|Ckend 在自然语言处理界,模式匹配可以说是最常用的技术. ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/MZv0PDykvk.html">Python正则表达式之re.match()分组</a></h4>
                                <div class="item-excerpt"><p>https://www.jianshu.com/p/cc26837242b1 我们在面对生物数据,比如序列信息(比如碱基序列.氨基酸序列等)的时候, 会时常要问,这其中是否包含着且含有多少某种已知的模 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/xWDyJgJy5n.html">说说Python中search()和match()的区别？</a></h4>
                                <div class="item-excerpt"><p>公众号新增加了一个栏目,就是每天给大家解答一道Python常见的面试题,反正每天不贪多,一天一题,正好合适,只希望这个面试栏目,给那些正在准备面试的同学,提供一点点帮助! 小猿会从最基础的面试题开始, ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/8kWRlQkvzy.html">重大变化！心理治疗、中医经络检测……广东将可用医保支付</a></h4>
                                <div class="item-excerpt"><p>好消息! 广东有了 全省统一的 医保药品.诊疗项目.医用耗材目录啦! 自2021年8月15日起实施全省统一的.准入法管理的诊疗项目.医用耗材目录,这也是广东自建立基本医疗保险制度以来的第一次. &qu ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/YG93jOQvxX.html">Python|二叉树叶子结点问题解决方法</a></h4>
                                <div class="item-excerpt"><p>问题描述键盘输入一颗二叉树,求解其叶子结点个数.示例: 输入:4,2,6,1,3,5输出:3解决方案一棵树当中没有子结点(即度为0)的结点称为叶子结点,简称&quot;叶子&quot;.当二叉树为空时 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/XRvkrxb5BK.html">Python数据分析库有哪些？常见分类！</a></h4>
                                <div class="item-excerpt"><p>众所周知,Python前景好.需求量大.薪资高.就业岗位多,除了基本的开发工作之外,还可以从事人工智能.数据分析.网络爬虫等岗位.那么说起数据分析,你知道Python常用数据分析库有哪些吗?我们一起来 ...</p></div>
                            </div> 
                        </li>
                         
 
                    </ul>
                </div>  
                                            </article>
        </main>

<aside class="sidebar">
    <div id="wpcom-lastest-news-3" class="widget widget_lastest_news"><h3 class="widget-title"><span>热门文章</span></h3>            
        <ul>
                                    <li><a href="https://www.kpfans.com/article/ErvbpYAAWp.html" title="宽容是这样修成的">宽容是这样修成的</a></li>
                        <li><a href="https://www.kpfans.com/article/bzvmwGnyW6.html" title="让句子站好队，不妨靠这招">让句子站好队，不妨靠这招</a></li>
                        <li><a href="https://www.kpfans.com/article/MZv0Z7yQWk.html" title="12天只喝水，周韦彤暴瘦25斤！她究竟是怎么活下来的？">12天只喝水，周韦彤暴瘦25斤！她究竟是怎么活下来的？</a></li>
                        <li><a href="https://www.kpfans.com/article/LmWK6kY69B.html" title="中风昏痉不语治疗妙方">中风昏痉不语治疗妙方</a></li>
                        <li><a href="https://www.kpfans.com/article/yXWyGwM6v1.html" title="一念堂王黎明篆刻作品选 （九十）">一念堂王黎明篆刻作品选 （九十）</a></li>
                        <li><a href="https://www.kpfans.com/article/oa9NKbJxWb.html" title="浅谈国家的治理">浅谈国家的治理</a></li>
                        <li><a href="https://www.kpfans.com/article/dBvr0gxeWe.html" title="济南众多公园奇特花木集萃二十五">济南众多公园奇特花木集萃二十五</a></li>
                        <li><a href="https://www.kpfans.com/article/mdWnRVONWM.html" title="辛晓琪《My Dear You》：放下心中执念，迎接满树繁花">辛晓琪《My Dear You》：放下心中执念，迎接满树繁花</a></li>
                        <li><a href="https://www.kpfans.com/article/JzWQQb4NWo.html" title="吃腻了水煮、清蒸、红烧的鱼，这做法一定试试，简单快手，肉嫩鲜香">吃腻了水煮、清蒸、红烧的鱼，这做法一定试试，简单快手，肉嫩鲜香</a></li>
                        <li><a href="https://www.kpfans.com/article/wKv62mp6vj.html" title="5G下游应用异动，目前正是低位时">5G下游应用异动，目前正是低位时</a></li>
                    </ul>
    </div>

    <div id="wpcom-post-thumb-6" class="widget widget_post_thumb"><h3 class="widget-title"><span>随机推荐</span></h3>            
        <ul>
                                       
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/aR5lnVEB9M.html" title="自信的女人真的漂亮吗">自信的女人真的漂亮吗</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/1BWxY6Pq52.html" title="中医诊断：问疼痛">中医诊断：问疼痛</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/pO9Px0Ym9a.html" title="谁写的呀？真好！越看越想看！">谁写的呀？真好！越看越想看！</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/mG5dOKroWZ.html" title="手套、围巾、帽子">手套、围巾、帽子</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/GB97rwnJvE.html" title="LOL中韩决赛：Uzi获得MVP却不开心，这个举动暴露智商，太不专业">LOL中韩决赛：Uzi获得MVP却不开心，这个举动暴露智商，太不专业</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/ja9O4a00WK.html" title="汉字戏解100例">汉字戏解100例</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/3RWVqeyP9N.html" title="谨慎：大盘到了方向选择的关键时刻！">谨慎：大盘到了方向选择的关键时刻！</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/1VWGoOP7WP.html" title="如何判断发面已经发好了">如何判断发面已经发好了</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/pO9P78rgva.html" title="杨甲午书法作品“释怀”">杨甲午书法作品“释怀”</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/ZzW46MaMvV.html" title="回到了人间～～">回到了人间～～</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/dBvrqgVP5e.html" title="好吃到男生都放不下的烤年糕，一拌一烤二步搞定，零难度烤箱美食">好吃到男生都放不下的烤年糕，一拌一烤二步搞定，零难度烤箱美食</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/wKv6zNeLvj.html" title="苘麻的故事">苘麻的故事</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/RK5EpZpXWD.html" title="【PPT】寰枢关节脱位影像诊断 – 影像PPT">【PPT】寰枢关节脱位影像诊断 – 影像PPT</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/mG5dDxe05Z.html" title="“学习”杂识">“学习”杂识</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/PxWDPPyxWn.html" title="「长篇小说连载」李再廷｜闰年闰月（9）">「长篇小说连载」李再廷｜闰年闰月（9）</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/GB97nRJEvE.html" title="感冒清热颗粒&#160;">感冒清热颗粒&#160;</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/dVWMRdyo51.html" title="默纳克抱闸力矩手动检测测试">默纳克抱闸力矩手动检测测试</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/oa9NaRYevb.html" title="果园早春综合管理技术要点">果园早春综合管理技术要点</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/k8WZXRlQv4.html" title="三月，我想给春天写封信（原创）">三月，我想给春天写封信（原创）</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/1BWxLnVwW2.html" title="孩子教育中的强化策略主题学习笔记">孩子教育中的强化策略主题学习笔记</a></p>
                                    </div>
            </li>
                    </ul>
    </div>
        <div id="wpcom-lastest-news-3" class="widget widget_lastest_news"><h3 class="widget-title"><span>热门标签</span></h3>            
        <ul>
                                    
        </ul>
    </div> 
               
</aside>

            </div>
</div>
<footer class="footer width-footer-bar">
    <div class="container">
        <div class="clearfix">
            <div class="footer-col footer-col-logo">
                <img src="//n4.ikafan.com/assetsj/logo.png" alt="开普饭">
            </div>
            <div class="footer-col footer-col-copy">
                  
                <div class="copyright">
                    <p>&#169; <span id="currentFullYear">2024</span>  <a href="/">开普饭</a></p>
                </div>
            </div>
            <div class="footer-col footer-col-sns">

            </div>
        </div>
    </div>
</footer>
    
    
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/icons-2.6.18.js'></script>                            
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/jquery-3.6.0.min.js'></script>
    <!-- <script type='text/javascript' src='https://computeinit.com/wp-includes/js/jquery/jquery-migrate.min.js'></script>                     -->
    <script type='text/javascript'>
    /* <![CDATA[ */
    var _wpcom_js = {};
    /* ]]> */
    </script>
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/main.js'></script>

    <script>
    var _hmt = _hmt || [];
    (function() {
      var hm = document.createElement("script");
      hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
      var s = document.getElementsByTagName("script")[0]; 
      s.parentNode.insertBefore(hm, s);
    })();
    </script> 
 
</body>
</html>